
function show_region(){
    $('#links').show("normal");
    document.getElementById("links").style.display = "block";
}

function hide_region(){
    $('#links').hide("normal");
    document.getElementById("links").style.display = "none";
}

function show_hide(more_text)
{
    if (document.getElementById(more_text).style.display=="none"){
            $('#'+more_text).show("normal");
    }else{
            $('#'+more_text).hide("normal");
    }
}

$(document).click(function(e){
    if (!detectIE8()){
        if ($(e.target).parents().filter('#links:visible').length != 1) {
            $('#links').hide();
        }
    }
    if ($(e.target).parents().filter('#months:visible').length != 1) {
        $('#months').hide();
    }
    if ($(e.target).parents().filter('#years:visible').length != 1) {
        $('#years').hide();
    }
});

function submitGet(url,div) {
    $.ajax({
        type: "GET",
        url: url,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("Ajax-Request", "true");
        },
        success: function(response) {
            $("#"+div).html(response);
        }
    });
    return false;
}

function submitPOST(url,div,search) {
    $.ajax({
        type: "POST",
        url: url,
        data : 'search='+search,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("Ajax-Request", "true");
        },
        success: function(response) {
            $("#"+div).html(response);
        }
    });
    return false;
}

function submitCalendar(id) {
    $.ajax({
        type: "GET",
        url: '/calendar/'+id+'.json/',
        beforeSend: function(xhr) {
            xhr.setRequestHeader("Ajax-Request", "true");
        },
        success: function(response) {
            $("#calendar").html(response);
			init_calendar();
        }
    });
    return false;
}

function submitNews(url) {
    $.ajax({
        type: "GET",
        url: url + '/count'
    });
    return false;
}

function top3(img_new,id){
  document.getElementById("topimg").style.backgroundImage = 'url('+img_new+')';
  document.getElementById("blog-arrow0").style.display = "none";
  document.getElementById("blog-arrow1").style.display = "none";
  document.getElementById("blog-arrow2").style.display = "none";
  document.getElementById("blog-arrow"+id).style.display = "block";
  document.getElementById("arrow0").className = "";
  document.getElementById("arrow1").className = "";
  document.getElementById("arrow2").className = "";
  document.getElementById("arrow"+id).className = "active";
}

function detectIE6(){
    var browser = navigator.appName;
    if (browser == "Microsoft Internet Explorer"){
      var b_version = navigator.appVersion;
      var re = /\MSIE\s+(\d\.\d\b)/;
      var res = b_version.match(re);
      if (res[1] <= 7){
        return true;
      }
    }
    return false;
}

function detectIE8(){
    var browser = navigator.appName;
    if (browser == "Microsoft Internet Explorer"){
      var b_version = navigator.appVersion;
      var re = /\MSIE\s+(\d\.\d\b)/;
      var res = b_version.match(re);
      if (res[1] == 8){
        return true;
      }
    }
    return false;
}

function preload(img){
  tmp = new Image();
  tmp.src = img;
}

function set_cookie(cookie_name, value, minuts)
{
    var today = new Date();
    expires = new Date(today.getTime() + minuts*60*1000);
    document.cookie = (cookie_name + "=" + escape(value) +
                    "; path=/"+
                    ((expires == null) ? "" : ";expires=" + expires.toGMTString()));
}

function set_cookie_none()
{
    var today = new Date();
    expires = new Date(today.getTime() + 30*60*1000);
    document.cookie = ("update_browser" + "=" + escape(2) +
                    "; path=/"+
                    ((expires == null) ? "" : ";expires=" + expires.toGMTString()));
}

function GetCookieValueByName(name)
{
    var beg = document.cookie.indexOf(name+"=");
    if(beg==-1)
    return false;
    var end = document.cookie.indexOf(";", beg + name.length);
    if(end==-1)
        end = document.cookie.length;
    return unescape(document.cookie.substring(beg + name.length + 1, end));
}

function moveTip(e) {
    if (document.getElementById("floatTipHint")!=null){
  floatTipStyle = document.getElementById("floatTipHint").style;
  w = 170; // Ширина слоя

  // Для браузера IE
  var browser = navigator.appName;
  if (browser == "Microsoft Internet Explorer"){
    x = window.event.clientX + document.documentElement.scrollLeft;
    y = window.event.clientY + document.documentElement.scrollTop;
  // Для остальных браузеров
  } else {
    x = e.pageX; // Координата X курсора
    y = e.pageY; // Координата Y курсора
  }

  // Показывать слой справа от курсора
  if ((x + w + 20) < document.body.clientWidth) {
    floatTipStyle.left = x + 'px';

  // Показывать слой слева от курсора
  } else {
    floatTipStyle.left = x - w + 'px';
  }
  // Положение от верхнего края окна браузера
  floatTipStyle.top = y + 20 + 'px';
}
}

function toolTip(msg) {
document.onmousemove = moveTip;
  if (document.getElementById("floatTipHint")!=null){
      floatTipStyle = document.getElementById("floatTipHint").style;
      if (msg) {
        // Выводим  текст подсказки
        document.getElementById("floatTipTextHint").innerHTML = document.getElementById("part_"+msg).innerHTML;
        floatTipStyle.display = "block"; // Показываем слой
      } else {
        floatTipStyle.display = "none"; // Прячем слой
      }
  }
}

function reception(){
	var flag = true;
	if ($('#lastname').val() == '')
		flag = false ;
	if ($('#firstname').val() == '')
		flag = false ;
	if (($('#email').val() == '' && !validate_email($('#email').val())) && $('#address').val() == '')
		flag = false ;
	if ($('#message').val() == '')
		flag = false ;
	if ($('#captcha').val() == '')
		flag = false ;
	if (flag)
		$('#reception_form').submit();
	else{
		$("#error").attr('style','color:red;');
	}
}

function validate_email(address) {
	var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;
	if(reg.test(address) == false) {
		return false;
	}else return true;
}

function init_calendar() {
	$('#mtrig').click(function() { $('#mdiv').toggle(); });
	$('#ytrig').click(function() { $('#ydiv').toggle(); });

	$('#mdiv li').click(function() { $('#mdiv').click(); });
	$('#ydiv li').click(function() { $('#ydiv').click(); });
}

$(document).ready(function() {
	init_calendar();
});

function getLinkOther2(site,id,dom) {
	location.href='http://'+site+'.'+dom+id;
}

$(function() {
	$('.news-region select[name="region"]').change(function(){
		location.href = '/news/region/' + $(this).val();
	})
	
});